Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/readme
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/readme	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/readme	(revision 2696)
@@ -0,0 +1,19 @@
+{To specify a KPP model build a *.kpp file with the following lines:}
+
+{Choose any model defined in $KPP_HOME/models}
+#MODEL small_strato
+
+{Choose any integrator defined in $KPP_HOME/int}
+#INTEGRATOR none 
+
+{Choose the output language in which KPP will generate the model}
+#LANGUAGE [ Fortran77 | Fortran90 | C | Matlab ]
+
+{Choose any driver file defined in $KPP_HOME/drv}
+#DRIVER general
+
+{Hessian}
+#HESSIAN [ ON | OFF ] 
+
+{Stoichiometric matrix}
+#STOICMAT [ ON | OFF ]
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rk.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rk.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rk.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR runge_kutta
+#LANGUAGE   Fortran90
+#DRIVER     general
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rktlm.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rktlm.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rktlm.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR runge_kutta_tlm 
+#LANGUAGE   Fortran90
+#DRIVER     general_tlm
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/ros.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/ros.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/ros.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR rosenbrock
+#LANGUAGE   Fortran90
+#DRIVER     general
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rosadj.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rosadj.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rosadj.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR rosenbrock_adj
+#LANGUAGE   Fortran90
+#DRIVER     general_adj
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rosenbrock90.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rosenbrock90.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rosenbrock90.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      saprc99
+#INTEGRATOR rosenbrock 
+#LANGUAGE   Fortran90 
+#DRIVER     general 
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rostlm.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rostlm.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/rostlm.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR rosenbrock_tlm 
+#LANGUAGE   Fortran90
+#DRIVER     general_tlm
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc2006.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc2006.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc2006.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      saprcnov 
+#INTEGRATOR rosenbrock
+#LANGUAGE   Fortran90
+#DRIVER     general
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc_c.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc_c.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc_c.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      saprc99
+#INTEGRATOR rosenbrock 
+#LANGUAGE   C 
+#DRIVER     general 
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc_f77.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc_f77.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc_f77.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      saprc99
+#INTEGRATOR kpp_ros4 
+#LANGUAGE   Fortran77 
+#DRIVER     general 
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc_m.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc_m.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/saprc_m.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      saprc99
+#INTEGRATOR none 
+#LANGUAGE   Matlab 
+#DRIVER     general 
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/sd.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/sd.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/sd.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR sdirk
+#LANGUAGE   Fortran90
+#DRIVER     general
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/sdadj.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/sdadj.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/sdadj.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR sdirk_adj
+#LANGUAGE   Fortran90
+#DRIVER     general_adj
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/sdtlm.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/sdtlm.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/sdtlm.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR sdirk_tlm
+#LANGUAGE   Fortran90
+#DRIVER     general_tlm
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/shsv.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/shsv.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/shsv.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato 
+#INTEGRATOR rosenbrock_soa 
+#LANGUAGE   Fortran90 
+#DRIVER     general_hsv
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_c.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_c.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_c.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR rosenbrock 
+#LANGUAGE   C
+#DRIVER     general
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_f77.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_f77.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_f77.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR rosenbrock 
+#LANGUAGE   Fortran77
+#DRIVER     general
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_f90.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_f90.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_f90.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR kpp_lsode 
+#LANGUAGE   Fortran90
+#DRIVER     general
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_m.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_m.kpp	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/examples/small_m.kpp	(revision 2696)
@@ -0,0 +1,6 @@
+#MODEL      small_strato
+#INTEGRATOR none 
+#LANGUAGE   Matlab
+#DRIVER     general
+#HESSIAN    on
+#STOICMAT   on
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/atm_lsodes.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/atm_lsodes.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/atm_lsodes.def	(revision 2696)
@@ -0,0 +1,19 @@
+ 
+#FUNCTION AGGREGATE
+#JACOBIAN FULL
+#DOUBLE ON 
+#INTFILE atm_lsodes
+
+#INLINE F77_GLOBAL
+      REAL*8 STEPSTART
+      COMMON /GDATA/ STEPSTART
+#ENDINLINE
+
+#INLINE F77_INIT
+        STEPMIN=1.D-12
+        STEPMAX=3600.
+        STEPSTART=STEPMIN
+#ENDINLINE
+
+
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/atm_odessa_ddm.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/atm_odessa_ddm.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/atm_odessa_ddm.def	(revision 2696)
@@ -0,0 +1,42 @@
+ 
+#FUNCTION AGGREGATE
+#JACOBIAN FULL
+#DOUBLE ON 
+#INTFILE atm_odessa_ddm
+
+#INLINE F77_GLOBAL
+      INTEGER Autonomous
+      COMMON /INTGDATA/ Autonomous
+      REAL*8 STEPSTART
+      COMMON /GDATA/ STEPSTART
+#ENDINLINE
+
+#INLINE F77_INIT
+        STEPMIN=0.0001
+        STEPMAX=3600.
+        Autonomous = 0
+        STEPSTART=STEPMIN
+#ENDINLINE
+
+
+
+#INLINE C_GLOBAL
+extern int Autonomous;
+extern double STEPSTART;
+#ENDINLINE
+
+#INLINE C_DATA_INT
+int Autonomous;
+double STEPSTART;
+#ENDINLINE
+
+
+
+#INLINE C_INIT
+        STEPMIN=0.0001;
+        STEPMAX=3600.0;
+        Autonomous = 0;
+        STEPSTART=STEPMIN;
+#ENDINLINE
+
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/atm_radau5.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/atm_radau5.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/atm_radau5.def	(revision 2696)
@@ -0,0 +1,19 @@
+ 
+#FUNCTION AGGREGATE
+#JACOBIAN FULL
+#DOUBLE ON 
+#INTFILE atm_radau5
+
+#INLINE F77_GLOBAL
+      REAL*8 STEPSTART
+      COMMON /GDATA/ STEPSTART
+#ENDINLINE
+
+#INLINE F77_INIT
+        STEPMIN=0.0001
+        STEPMAX=3600.
+        STEPSTART=STEPMIN
+#ENDINLINE
+
+
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/gillespie.c
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/gillespie.c	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/gillespie.c	(revision 2696)
@@ -0,0 +1,53 @@
+void StochasticRates( double RCT[], double Volume, double SCT[] );   
+void Propensity ( int V[], int F[], double SCT[], double A[] );
+void MoleculeChange ( int j, int NmlcV[] );
+double CellMass(double T); 
+void Update_RCONST();
+
+/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
+void Gillespie(int Nevents, double Volume, double* T, int NmlcV[], int NmlcF[]) 
+/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
+{
+    
+      int i, m=0, event;
+      double r1, r2;
+      double A[NREACT], SCT[NREACT], x;
+
+     /* Compute the stochastic reaction rates */
+      Update_RCONST();
+      StochasticRates( RCONST, Volume, SCT );   
+   
+      for (event = 1; event <= Nevents; event++) {
+
+          /* Uniformly distributed ranfor (m numbers */
+          r1 = (double)rand()/(double)RAND_MAX;
+          r2 = (double)rand()/(double)RAND_MAX;
+
+	  /* Avoid log of zero */
+	  r2 = (r2-1.0e-14) ? r2 : 1.0e-14;
+	  
+          /* Propensity vector */
+	  TIME = *T;
+	  Propensity ( NmlcV, NmlcF, SCT, A );
+	  
+          /* Cumulative sum of propensities */
+	  for (i=1; i<NREACT; i++)
+            A[i] = A[i-1]+A[i];
+          
+	  /* Index of next reaction */
+	  x = r1*A[NREACT-1];
+	  for ( i = 0; i<NREACT; i++)
+	    if (A[i] >= x) {
+              m = i+1;
+	      break;
+	    }
+	  
+          /* Update T with time to next reaction */
+          *T = *T - log(r2)/A[NREACT-1];
+
+          /* Update state vector after reaction m */
+	  MoleculeChange( m, NmlcV );
+	  
+     } /* for event */
+    
+} /* Gillespie */
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/gillespie.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/gillespie.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/gillespie.def	(revision 2696)
@@ -0,0 +1,10 @@
+ 
+#FUNCTION   aggregate
+#JACOBIAN   SPARSE_LU_ROW
+#DOUBLE     on 
+#STOCHASTIC on 
+#INTFILE    gillespie
+
+
+
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/gillespie.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/gillespie.f90	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/gillespie.f90	(revision 2696)
@@ -0,0 +1,86 @@
+MODULE KPP_ROOT_Integrator
+
+  USE KPP_ROOT_Parameters, ONLY : NVAR, NFIX, NREACT 
+  USE KPP_ROOT_Global, ONLY : TIME, RCONST, Volume 
+  USE KPP_ROOT_Stoichiom  
+  USE KPP_ROOT_Stochastic
+  USE KPP_ROOT_Rates
+  IMPLICIT NONE
+
+CONTAINS
+
+!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+  SUBROUTINE Gillespie(Nevents, T, SCT, NmlcV, NmlcF)
+!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+!
+!   Gillespie stochastic integration
+!   INPUT:
+!       Nevents = no. of individual reaction events to be simulated
+!       SCT     = stochastic rate constants
+!       T       = time
+!       NmlcV, NmlcF = no. of molecules for variable and fixed species
+!   OUTPUT:
+!       T       = updated time (after Nevents reactions)
+!       NmlcV   = updated no. of molecules for variable species
+!      
+!
+!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+      IMPLICIT NONE
+      KPP_REAL:: T
+      INTEGER :: Nevents     
+      INTEGER :: NmlcV(NVAR), NmlcF(NFIX)
+      INTEGER :: i, m, issa
+      REAL   :: r1, r2
+      KPP_REAL :: A(NREACT), SCT(NREACT), x
+   
+      DO issa = 1, Nevents
+
+          ! Uniformly distributed random numbers
+          CALL RANDOM_NUMBER(r1)
+          CALL RANDOM_NUMBER(r2)
+          ! Avoid log of zero
+          r2 = MAX(r2,1.e-14)
+          
+          ! Propensity vector
+          CALL  Propensity ( NmlcV, NmlcF, SCT, A )
+          ! Cumulative sum of propensities
+          DO i = 2, NREACT
+            A(i) = A(i-1)+A(i);
+          END DO
+          
+          ! Index of next reaction
+          x = r1*A(NREACT)
+          DO i = 1, NREACT
+            IF (A(i)>=x) THEN
+              m = i;
+              EXIT
+            END IF
+          END DO
+          
+          ! Update time with time to next reaction
+          T = T - LOG(r2)/A(NREACT);
+
+          ! Update state vector
+          CALL MoleculeChange( m, NmlcV )
+        
+     END DO
+    
+  CONTAINS
+
+    SUBROUTINE PropensityTemplate( T, NmlcV, NmlcF, Prop )
+      KPP_REAL, INTENT(IN)  :: T
+      INTEGER, INTENT(IN)   :: NmlcV(NVAR), NmlcF(NFIX)
+      KPP_REAL, INTENT(OUT) :: Prop(NREACT)
+      KPP_REAL :: Tsave, SCT(NREACT)
+    ! Update the stochastic reaction rates, which may be time dependent 
+      Tsave = TIME
+      TIME = T
+      CALL Update_RCONST()
+      CALL StochasticRates( RCONST, Volume, SCT )   
+      CALL Propensity ( NmlcV, NmlcF, SCT, Prop )
+      TIME = Tsave
+    END SUBROUTINE PropensityTemplate    
+    
+  END SUBROUTINE Gillespie
+
+END MODULE KPP_ROOT_Integrator
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_dvode.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_dvode.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_dvode.def	(revision 2696)
@@ -0,0 +1,14 @@
+ 
+#FUNCTION AGGREGATE
+#JACOBIAN SPARSE_LU_ROW
+
+#DOUBLE ON 
+#INTFILE kpp_dvode
+
+#INLINE F77_INIT
+        STEPMIN=0.0001
+        STEPMAX=3600.
+#ENDINLINE
+
+
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_lsode.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_lsode.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_lsode.def	(revision 2696)
@@ -0,0 +1,7 @@
+#FUNCTION AGGREGATE
+#JACOBIAN SPARSE_LU_ROW
+#DOUBLE ON 
+#INTFILE kpp_lsode
+
+
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_odessa_ddm.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_odessa_ddm.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_odessa_ddm.def	(revision 2696)
@@ -0,0 +1,42 @@
+ 
+#FUNCTION AGGREGATE
+#JACOBIAN SPARSE_LU_ROW
+#DOUBLE ON 
+#INTFILE kpp_odessa_ddm
+
+#INLINE F77_GLOBAL
+      INTEGER Autonomous
+      COMMON /INTGDATA/ Autonomous
+      REAL*8 STEPSTART
+      COMMON /GDATA/ STEPSTART
+#ENDINLINE
+
+#INLINE F77_INIT
+        STEPMIN=0.0001
+        STEPMAX=3600.
+        Autonomous = 0
+        STEPSTART=STEPMIN
+#ENDINLINE
+
+
+
+#INLINE C_GLOBAL
+extern int Autonomous;
+extern double STEPSTART;
+#ENDINLINE
+
+#INLINE C_DATA_INT
+int Autonomous;
+double STEPSTART;
+#ENDINLINE
+
+
+
+#INLINE C_INIT
+        STEPMIN=0.0001;
+        STEPMAX=3600.0;
+        Autonomous = 0;
+        STEPSTART=STEPMIN;
+#ENDINLINE
+
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_radau5.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_radau5.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/int.modified_WCOPY/kpp_radau5.def	(revision 2696)
@@ -0,0 +1,5 @@
+#FUNCTION AGGREGATE
+#JACOBIAN SPARSE_LU_ROW
+#DOUBLE ON 
+#INTFILE kpp_radau5
+
